LongHolder (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class LongHolder

    java.lang.Object
      |
      +--org.omg.CORBA.LongHolder

All Implemented Interfaces:
  Streamable

public final class LongHolder
extends Object
implements Streamable

The Holder for `Long`. For more information on Holder files, see "Generated Files: Holder Files".

A Holder class for a `long` that is used to store "out" and "inout" parameters in IDL methods. If an IDL method signature has an IDL `long long` as an "out" or "inout" parameter, the programmer must pass an instance of `LongHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

If `myLongHolder` is an instance of `LongHolder`, the value stored in its `value` field can be accessed with `myLongHolder.value`.

Since:
  JDK1.2

Field Summary
`long` | `value` The `long` value held by this `LongHolder` object.

Constructor Summary
`LongHolder()` Constructs a new `LongHolder` object with its `value` field initialized to `0`.
`LongHolder(long initial)` Constructs a new `LongHolder` object with its `value` field initialized to the given `long`.

Method Summary
`void` | `_read(InputStream input)` Reads from `input` and initalizes the value in the Holder with the unmarshalled data.
`TypeCode` | `_type()` Returns the `TypeCode` object corresponding to the value held in the Holder.
`void` | `_write(OutputStream output)` Marshals to `output` the value in the Holder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public long value

  The `long` value held by this `LongHolder` object.

Constructor Detail

### LongHolder

    public LongHolder()

  Constructs a new `LongHolder` object with its `value` field initialized to `0`.

### LongHolder

    public LongHolder(long initial)

  Constructs a new `LongHolder` object with its `value` field initialized to the given `long`.

Parameters:
  `initial` - the `long` with which to initialize the `value` field of the newly-created `LongHolder` object

Method Detail

### _read

    public void _read(InputStream input)

  Reads from `input` and initalizes the value in the Holder with the unmarshalled data.

  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `input` - the InputStream containing CDR formatted data from the wire

### _write

    public void _write(OutputStream output)

  Marshals to `output` the value in the Holder.

  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `output` - the OutputStream which will contain the CDR formatted data

### _type

    public TypeCode _type()

  Returns the `TypeCode` object corresponding to the value held in the Holder.

  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the TypeCode of the value held in the holder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.